# Uses of Class
com.fasterxml.jackson.datatype.jsr310.deser.YearDeserializer

Packages that use YearDeserializer
Package
Description
com.fasterxml.jackson.datatype.jsr310.deser

## Uses of YearDeserializer in com.fasterxml.jackson.datatype.jsr310.deser

Fields in com.fasterxml.jackson.datatype.jsr310.deser declared as YearDeserializer
Modifier and Type
Field
Description
`static final YearDeserializer`
YearDeserializer.`INSTANCE`
Methods in com.fasterxml.jackson.datatype.jsr310.deser that return YearDeserializer
Modifier and Type
Method
Description
`protected YearDeserializer`
YearDeserializer.`withDateFormat(DateTimeFormatter dtf)`
`protected YearDeserializer`
YearDeserializer.`withLeniency(Boolean leniency)`
`protected YearDeserializer`
YearDeserializer.`withShape(com.fasterxml.jackson.annotation.JsonFormat.Shape shape)`
Constructors in com.fasterxml.jackson.datatype.jsr310.deser with parameters of type YearDeserializer
Modifier
Constructor
Description
`protected`
`YearDeserializer(YearDeserializer base, Boolean leniency)`
Since 2.12